#!/bin/sh

. ./targets.sh

tool="gdb"
operation="build"
. ../config.sh

opt="--prefix=$install_dir --disable-werror --disable-nls"

for target in $targets; do
    t=`echo $target | tr - _`
    opt_add=`eval echo '$opt_'$t`
    option="$opt $opt_add"

    mkdir -p $target
    cd $target
    ../../$toolchain_dir/$gdb/configure --target=$target $option
    $make $makeopt
    cd ..
done

subdirs="bfd opcodes libiberty sim"

for target in $targets_simonly; do
    t=`echo $target | tr - _`
    opt_add=`eval echo '$opt_'$t`
    option="$opt $opt_add"

    mkdir -p $target
    cd $target
    for subdir in $subdirs; do
        mkdir -p $subdir
        cd $subdir
        ../../../$toolchain_dir/$gdb/$subdir/configure --target=$target $option
        $make $makeopt
        cd ..
    done
    cd ..
done
